Bug 1699982 - The errata page is poorly formatted when an erratum has a long list of affected packages
Summary: The errata page is poorly formatted when an erratum has a long list of affect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.4.2
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: wclark
QA Contact: Apurva
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-15 14:03 UTC by wclark
Modified: 2019-10-22 19:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot demonstrating the issue (548.87 KB, image/png)
2019-04-15 14:03 UTC, wclark
no flags Details
Errata Details Screen (152.58 KB, image/png)
2019-06-26 20:07 UTC, Apurva
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26683 0 Normal Closed Errata details overflows into affected packages column 2020-12-10 14:32:16 UTC
Github Katello katello pull 8092 0 None closed Fixes #26683 - Prevent .info-paragraph from overflowing columns 2020-12-10 14:31:47 UTC

Description wclark 2019-04-15 14:03:16 UTC
Created attachment 1555259 [details]
screenshot demonstrating the issue

For an erratum which has a longer list of affected packages, for example RHSA-2019:0746, the errata page at

Content --> Errata --> RHSA-2019:0746 (or similar)

Has poor formatting where the text under 'Topic' and 'Discussion' overflows into the 'Affected Packages' column on the right.

Please see the attached screenshot for a demonstration.

This was originally observed in a customer's environment and I have reproduced it locally as well.

Comment 5 Bryan Kearney 2019-04-25 20:05:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26683 has been resolved.

Comment 8 Apurva 2019-06-26 20:07:16 UTC
Created attachment 1584938 [details]
Errata Details Screen

Verified

Verified on: Satellite 6.6.0 snap 7

Steps:
Content --> Errata --> RHSA-2019:0746

Observation:
There is no question of overflowing of text, now that there is a different tab for packages, and the list of packages is not on the same screen with Errata Details.
Have attached screenshot of the Errata Details screen to confirm that the text wrapping and formatting is better

Comment 10 Bryan Kearney 2019-10-22 19:48:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.